summaryrefslogtreecommitdiffstats
path: root/system
diff options
context:
space:
mode:
author Nishant Limbachia <nishant@mnspace.net>2016-08-27 01:11:39 +0100
committer David Spencer <idlemoor@slackbuilds.org>2016-08-28 00:22:59 +0100
commitc9c17e5dc444935b15f6ff1ed802a48588fb0a85 (patch)
treeac34f8574c4afac3751ef2e1e8ab88f97054e584 /system
parent9e8ed012bee4e7d7eed64f2a249d09831a09dc65 (diff)
downloadslackbuilds-c9c17e5dc444935b15f6ff1ed802a48588fb0a85.tar.gz
slackbuilds-c9c17e5dc444935b15f6ff1ed802a48588fb0a85.tar.xz
system/packagekit: Added (packagekit: PackageKit).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'system')
-rw-r--r--system/packagekit/README4
-rw-r--r--system/packagekit/doinst.sh33
-rw-r--r--system/packagekit/packagekit.SlackBuild115
-rw-r--r--system/packagekit/packagekit.info10
-rw-r--r--system/packagekit/slack-desc19
5 files changed, 181 insertions, 0 deletions
diff --git a/system/packagekit/README b/system/packagekit/README
new file mode 100644
index 0000000000..24088f7d16
--- /dev/null
+++ b/system/packagekit/README
@@ -0,0 +1,4 @@
+PackageKit is a system designed to make installing and updating
+software on your computer easier. The primary design goal
+is to unify all the software graphical tools used in different
+distributions, and use some of the latest technology like PolicyKit.
diff --git a/system/packagekit/doinst.sh b/system/packagekit/doinst.sh
new file mode 100644
index 0000000000..de32d66787
--- /dev/null
+++ b/system/packagekit/doinst.sh
@@ -0,0 +1,33 @@
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+config etc/PackageKit/PackageKit.conf.new
+config etc/PackageKit/Vendor.conf.new
+config etc/PackageKit/CommandNotFound.conf.new
+config etc/PackageKit/Katja.conf.new
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
+if [ -e usr/share/glib-2.0/schemas ]; then
+ if [ -x /usr/bin/glib-compile-schemas ]; then
+ /usr/bin/glib-compile-schemas usr/share/glib-2.0/schemas >/dev/null 2>&1
+ fi
+fi
diff --git a/system/packagekit/packagekit.SlackBuild b/system/packagekit/packagekit.SlackBuild
new file mode 100644
index 0000000000..62cd8f691e
--- /dev/null
+++ b/system/packagekit/packagekit.SlackBuild
@@ -0,0 +1,115 @@
+#!/bin/sh
+
+# Slackware Package Build Script for PackageKit
+# Home Page https://www.freedesktop.org/software/PackageKit/
+
+# Copyright (c) 2016, Nishant Limbachia, Hoffman Estates, IL, USA
+# <nishant _AT_ mnspace _DOT_ net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of script must retain the above copyright notice,
+# this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
+# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
+# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
+# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL,
+# EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR
+# PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF
+# LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING
+# NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS
+# SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="packagekit"
+VERSION=${VERSION:-1.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf PackageKit-$VERSION
+tar xvf $CWD/PackageKit-$VERSION.tar.xz
+cd PackageKit-$VERSION
+chown -R root.root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc \
+ --disable-static \
+ --disable-cron \
+ --disable-schemas-compile \
+ --disable-systemd \
+ --disable-offline-update \
+ --enable-katja \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mv $PKG/etc/PackageKit/CommandNotFound.conf $PKG/etc/PackageKit/CommandNotFound.conf.new
+mv $PKG/etc/PackageKit/PackageKit.conf $PKG/etc/PackageKit/PackageKit.conf.new
+mv $PKG/etc/PackageKit/Vendor.conf $PKG/etc/PackageKit/Vendor.conf.new
+mv $PKG/etc/PackageKit/Katja.conf $PKG/etc/PackageKit/Katja.conf.new
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $(find $PKG/usr/man -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL MAINTAINERS NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/packagekit/packagekit.info b/system/packagekit/packagekit.info
new file mode 100644
index 0000000000..8c76bf9f4a
--- /dev/null
+++ b/system/packagekit/packagekit.info
@@ -0,0 +1,10 @@
+PRGNAM="packagekit"
+VERSION="1.1.3"
+HOMEPAGE="https://www.freedesktop.org/software/PackageKit/"
+DOWNLOAD="https://www.freedesktop.org/software/PackageKit/releases/PackageKit-1.1.3.tar.xz"
+MD5SUM="bf5e150b1bfc964f39ac7f6b3faf3c81"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Nishant Limbachia"
+EMAIL="nishant@mnspace.net"
diff --git a/system/packagekit/slack-desc b/system/packagekit/slack-desc
new file mode 100644
index 0000000000..70a68e4902
--- /dev/null
+++ b/system/packagekit/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+packagekit: packageKit (installation and updates of packages)
+packagekit:
+packagekit: PackageKit is a system designed to make installing and updating
+packagekit: software on your computer easier. The primary design goal
+packagekit: is to unify all the software graphical tools used in different
+packagekit: distributions, and use some of the latest technology like PolicyKit.
+packagekit:
+packagekit:
+packagekit: Homepage: https://www.freedesktop.org/software/PackageKit/
+packagekit:
+packagekit: